Adding a new namespace for hewikivoyage
Closed, ResolvedPublic

DekelE created this task.Feb 21 2016, 5:19 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 21 2016, 5:19 PM
DekelE triaged this task as Low priority.Feb 21 2016, 5:26 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptFeb 21 2016, 5:26 PM
DekelE renamed this task from Add a new namespace for hewikivoyage to Adding a new namespace for hewikivoyage.Feb 21 2016, 5:30 PM
Dereckson raised the priority of this task from Low to Normal.Feb 23 2016, 6:50 PM
Dereckson added a subscriber: Dereckson.

It's a namespace to put maps?

Yes. We have decided (after we made a local discussion) to add a new maps' namespace. We prefer to create a new namespace instead of creating a lot of maps templates on the templates' namespace.

WJ added a subscriber: WJ.Feb 24 2016, 4:13 AM

I'll just further add that we believe this is necessary because we are now importing + creating boundary and track data to the majority of the Hebvoy articles which have dynamic maps (read more about this feature at http://en.wikivoyage.org/wiki/Wikivoyage:How_to_use_dynamic_maps#Adding_boundaries_and_tracks). What this means in practice is that sooner or later most of the articles in the Hebvoy main space that include dynamic maps would have significant amounts of data added to them (many of the mapmasks consist of around 20,000 - 30,000 bytes of data) that consists mainly many many numbers (or coordinates, to be more exact). We use the software JOSM to create this data.

For example, the recent mapmask I added to the Hebvoy Rio de Janeiro article consisted of 33,357 bytes of data - http://he.wikivoyage.org/w/index.php?title=%D7%A8%D7%99%D7%95_%D7%93%D7%94_%D7%96%27%D7%A0%D7%99%D7%99%D7%A8%D7%95&type=revision&diff=143078&oldid=143077

Since we prefer not to "flood" the Hebvoy main space with significant amounts of data from this type, and since we prefer not to "flood" the Hebvoy template space with non-templates, our preferred option is to have all of the Hebvoy dynamic maps data stored in the new separate space "מפה:" (which means in Hebrew "map:").

DekelE raised the priority of this task from Normal to High.Mar 3 2016, 9:10 PM
DekelE added a subscriber: tomasz.
Dereckson claimed this task.Mar 5 2016, 2:20 AM
Dereckson moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 275154 had a related patch set uploaded (by Dereckson):
Namespace configuration on he.wikivoyage

https://gerrit.wikimedia.org/r/275154

Change 275154 merged by jenkins-bot:
Namespace configuration on he.wikivoyage

https://gerrit.wikimedia.org/r/275154

Dereckson closed this task as Resolved.Mar 7 2016, 4:37 PM

This change has been deployed during our 2016-03-07 morning SWAT period